Name: cflow
Version: 2.0
Release: 4.1sh
License: distributable
Group: Development/Tools
Summary: show C call structure
Source: ftp://sunsite.unc.edu/pub/Linux/devel/lang/c/cflow-2.0.tar.gz
Patch: cflow-fixcpp.patch

Packager: Daichi Shinozaki <dseg@shield.jp>

#-----------------------------------------------------------------------------

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: bash

%description
This program prints out a call graph of functions and what they call.  Good
for learning how a program is laid out.

The package cflow contains the programs prcc and prcg, and a shell script
called cflow which is a frontend to these. Cflow can create call graphs of C
source files. You can use command line options to control output in a flexible
way. This is an enhanced version of cflow, which works well with GNU make,
gcc and bash.

#-----------------------------------------------------------------------------

%prep
%setup
%patch -p1

%build
CFLOW_SHELL=`which bash`
PREFIX=%{_prefix}
export PREFIX CFLOW_SHELL
make

%install
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
cp cflow.1 $RPM_BUILD_ROOT%{_mandir}/man1/cflow.1
cp cflow prcc prcg $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README TODO cflow.lsm
%{_mandir}/man1/cflow.1*
%defattr(0755,root,root)
%attr(755,root,root) %{_bindir}/cflow
%attr(755,root,root) %{_bindir}/prcc
%attr(755,root,root) %{_bindir}/prcg


%changelog
* Sun Jan 15 2005 Daichi Shinozaki <dseg at shield dot jp> - 2.0-4.1sh
- Minor adjustments based on Libc6-contrib RPM(cflow-2.0-4.src.rpm).
  Changed /usr/man/man1 -> %{_mandir}/man1/, removed Prefix: lines.
